services:
  cozy-den:
    # image: git.hiddenden.cafe/hiddenden/cozy-den:latest
    build: .
    container_name: cozy-den
    # ports:
    #   - "3000:3000"
    restart: unless-stopped
    networks:
      - proxy
    environment:
      - NODE_ENV=production
      - HOST=0.0.0.0
      - PORT=3000
      - DB_PATH=/data/guestbook.db
      - SECRET_KEY=${SECRET_KEY}
      - ADMIN_SECRET_TOKEN=${ADMIN_SECRET_TOKEN}
      - COOKIE_SECURE=${COOKIE_SECURE:-true}
    volumes:
      - guestbook_data:/data

volumes:
  guestbook_data:

networks:
  proxy:
    external: true
